%global pypi_name xmlsec
%global commitId b483b644b6033e539f303509f5ee85bebf178a73

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        1.3.13
Release:        1%{?dist}
Summary:        Python bindings for the XML Security Library

License:        MIT
URL:            https://github.com/xmlsec/python-xmlsec
Source0:        python-xmlsec-b483b644b6033e539f303509f5ee85bebf178a73.tar.gz

BuildRequires:  gcc
BuildRequires:  libtool-ltdl-devel
BuildRequires:  libxml2-devel >= 2.9.1
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-lxml >= 3.8
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-setuptools_scm+toml >= 3.4
BuildRequires:  xmlsec1-devel >= 1.2.18
BuildRequires:  xmlsec1-openssl-devel

%global _description %{expand:
Python bindings for the XML Security Library.}

%description
%{_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
Requires:       libxml2 >= 2.9.1
Requires:       python%{python3_pkgversion}-lxml >= 3.8
Requires:       xmlsec1 >= 1.2.18
Requires:       xmlsec1-openssl

%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{__python3} -m pip config set global.index https://repository.engineering.redhat.com/nexus/repository/pypi.org/pypi
%{__python3} -m pip config set global.index_url https://repository.engineering.redhat.com/nexus/repository/pypi.org/simple
%{__python3} -m pip config set global.trusted-host repository.engineering.redhat.com
%{__python3} -m pip install pkgconfig==1.5.1

export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%py3_build

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitearch}/%{pypi_name}*.so
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Dec 04 2023 Satoe Imaishi <simaishi@redhat.com> - 1.3.13-1
- Initial package.
